=== debian/changelog ===
s390-tools (2.15.1-2) unstable; urgency=medium

  * Remove myself as a maintainer.

 -- Philipp Kern <pkern@debian.org>  Thu, 11 Feb 2021 07:18:40 +0100

s390-tools (2.15.1-1) unstable; urgency=medium

  * New upstream release
    - Install new tool lsstp.
    - Continue to skip out on zkey for now.

 -- Philipp Kern <pkern@debian.org>  Sat, 05 Dec 2020 11:55:08 +0100

s390-tools (2.14.0-2) unstable; urgency=medium

  * Bump debhelper compat to v13.
  * Install more binaries.

 -- Philipp Kern <pkern@debian.org>  Sun, 23 Aug 2020 12:46:01 -0400
