=== debian/changelog ===
s390-tools (2.16.0-2) unstable; urgency=medium

  * Add missing build-dependency on libglib2.0-dev. (Closes: #992249)

 -- Philipp Kern <pkern@debian.org>  Wed, 18 Aug 2021 03:26:50 -0400

s390-tools (2.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Install hsci, used to show and control HiperSockets Converged Interfaces.

 -- Philipp Kern <pkern@debian.org>  Sun, 15 Aug 2021 08:02:00 -0400
