=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Debian S/390 Team <debian-s390@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper-compat (= 13), libz-dev, quilt, gcc-multilib, libfuse-dev, libncurses-dev, libpfm4-dev, libssl-dev, libcurl4-openssl-dev, libcryptsetup-dev, libjson-c-dev
+Build-Depends: debhelper-compat (= 13), libz-dev, quilt, gcc-multilib, libglib2.0-dev, libfuse-dev, libncurses-dev, libpfm4-dev, libssl-dev, libcurl4-openssl-dev, libcryptsetup-dev, libjson-c-dev
 Standards-Version: 3.8.3
 Homepage: http://www.ibm.com/developerworks/linux/linux390/s390-tools.html
