=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@
 
 override_dh_auto_clean:
-	rm -f zipl/boot/.*.d
+	rm -f zipl/boot/.*.d iucvterm/doc/iucvtty.8
 	dh_auto_clean
 
 override_dh_auto_build:
