=== debian/changelog ===
s390-tools (2.17.0-0ubuntu2) impish; urgency=medium

  * d/p/0001-libkmipclient-Fix-parsing-of-hex-values-for-XML-and-.patch
    Fix parsing of hex values for XML and JSON encoding in libkmipclient.
    (LP: #1938947)

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 08 Sep 2021 09:10:54 +0200

s390-tools (2.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release. LP: #1934988
    + New binaries hsavmcore and lshwc
    + New library libkmipclient
    + New build-dependency on libxml2-dev
  * Refresh the patches
  * Remove unapplied patch disable.patch.DEBIAN

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 09 Jul 2021 17:01:10 +0200

s390-tools (2.16.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release. LP: #1914574
  * Drop patches applied upstream.
  * Compile with ZDEV_ALWAYS_UPDATE_INITRD=1 option. This fixes calls to
    chzdev to trigger update-initramfs -u. LP: #1892367
  * Set install path via make variables, instead of patching source
    Makefiles.
  * Update homepage to github.com.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Feb 2021 05:49:54 +0000

s390-tools (2.15.1-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:10 +0100

s390-tools (2.15.1-1ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Feb 2021 00:03:00 +0000

s390-tools (2.15.1-1ubuntu1) hirsute; urgency=low

  * Update debian/watch for new ibm-s390-linux repo
  * Update debian/control for [XC-]Package-Type
  * Merge from Debian unstable. Remaining changes:
    - keep providing zkey
    - split some tools into individuall packages
    - Drop udevadm-path.patch
    - Drop ziomon package
    - Linux on z Systems naming
    - 0001-ziomon-Use-exit-code-0-for-version-and-help.patch
    - 0001-zkey-add-initramfs-hook.patch
    - 0001-zkey-on-Ubuntu-use-default-benchmarked-Argon2i-with-.patch
    - 0001-dumpconf-Don-t-run-the-service-in-LXC.patch
    - update-install-paths.patch
    - 0010-no-pie-is-not-a-valid-option-for-ld.patch
    - s390-tools-lp1903984-hirsute.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 08 Feb 2021 12:46:12 +0100

s390-tools (2.15.1-0ubuntu6) hirsute; urgency=medium

  * debian/patches/s390-tools-lp1903984-hirsute.patch
    zcryptstats: Fix handling of partial results with many domains
    Thanks to Ingo Franzki (LP: #1903984)

 -- Frank Heimes <frank.heimes@canonical.com>  Tue, 19 Jan 2021 18:58:26 +0100

s390-tools (2.15.1-0ubuntu5) hirsute; urgency=medium

  * No-change rebuild to bring the version in sync with
    s390-tools-signed.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 08 Jan 2021 21:32:29 -0500

s390-tools (2.15.1-0ubuntu4) hirsute; urgency=medium

  * No-change upload due to net-snmp transition.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 07 Jan 2021 15:11:33 -0500

s390-tools (2.15.1-0ubuntu3) hirsute; urgency=medium

  * Fix FTBFS via d/p/0010-no-pie-is-not-a-valid-option-for-ld.patch
    "-no-pie" is not a valid option of ld and never has been (LP: #1907789)

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 07 Jan 2021 12:16:59 +0100

s390-tools (2.15.1-0ubuntu2) hirsute; urgency=medium

  * Package libekmfweb library.
  * Do not use /usr/lib64 prefix.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 18 Nov 2020 14:23:24 +0000

s390-tools (2.15.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release. LP: #1902865, LP: #1902047, LP: #1892824, LP: #1887920, LP: #1887806
  * Drop .triggers, and initramfs override. Triggers to update initramfs
    are desired in both packages that ship hooks.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Nov 2020 15:10:44 +0000

s390-tools (2.14.0-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable (LP: #1903688).  Remaining changes:
    - lower priority to optional
    - add libsnmp-dev, libglib2.0-dev build-deps
    - add support for signed zipl
    - use z Systems branding in descriptions
    - package cpuplugd, osasnmpd, statd, zkey
    - drop ziomon package, shipped in the main package
    - ship zdev in udeb
    - update copyright file
    - fix kernel installer script integration, to skip calling zipl without initrd
    - load monwriter kernel module for mon_statd/mon_fsstatd
    - do not run dumpconf in lxc
    - ziomon change exit code to 0 for version and help
    - add zkey initramfs hook
    - change zkey default back to argon2i
    - drop patch that disables building osasnmpd
    - drop udevadm-path.patch to init script, systemd units are used instead
    - enable hardening
    - enable initramfs & dracut integration
    - setup users/groups for mon_*, iucvterm, zkey
    - install more utilities and zdev initramfs integration
    - setup crashkernel integration
  * Update debian/not-installed file for additional files in debian/tmp
  * debian/rules:
    - drop unneeded "--parallel --with systemd" dh args
    - clean zipl/boot/.stage*.d files
    - avoid dh_installinitramfs to install additional triggers
  * s390-tools.docs: ship CHANGELOG.md (as Debian does)

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 09 Nov 2020 16:04:40 +0100
